Loading...
Searching...
No Matches
XrdOucTList Class Reference

`#include <XrdOucTList.hh>`

Collaboration diagram for XrdOucTList:

## Public Member Functions

| XrdOucTList (const char *tval, char cv[8], XrdOucTList *np=0)
| XrdOucTList (const char *tval, int iv[2], XrdOucTList *np=0)
| XrdOucTList (const char *tval, long long *dv, XrdOucTList *np=0)
| XrdOucTList (const char *tval, short sv[4], XrdOucTList *np=0)
| XrdOucTList (const char *tval=0, int num=0, XrdOucTList *np=0)
| ~XrdOucTList ()

## Public Attributes

union { |
char | cval [8]
long long | dval
int | ival [2]
short | sval [4]
int | val
}; |
XrdOucTList * | next
char * | text

## Detailed Description

Definition at line 41 of file XrdOucTList.hh.

## Constructor & Destructor Documentation

## XrdOucTList() [1/5]

XrdOucTList::XrdOucTList | ( | const char * | tval,
|  | long long * | dv,
|  | XrdOucTList * | np = 0 )

inline

Definition at line 56 of file XrdOucTList.hh.

{next=np; text = (tval ? strdup(tval) : 0); dval=*dv;}
XrdOucTList::next
XrdOucTList * next
Definition XrdOucTList.hh:45
XrdOucTList::text
char * text
Definition XrdOucTList.hh:46

References XrdOucTList(), next, and text.

Referenced by XrdOucTList(), XrdOucTList(), XrdOucTList(), XrdOucTList(), and XrdOucTList().

Here is the call graph for this function:
Here is the caller graph for this function:

## XrdOucTList() [2/5]

XrdOucTList::XrdOucTList | ( | const char * | tval = 0,
|  | int | num = 0,
|  | XrdOucTList * | np = 0 )

inline

Definition at line 59 of file XrdOucTList.hh.

{next=np; text = (tval ? strdup(tval) : 0); val=num;}

References XrdOucTList(), next, and text.

Here is the call graph for this function:

## XrdOucTList() [3/5]

XrdOucTList::XrdOucTList | ( | const char * | tval,
|  | int | iv[2],
|  | XrdOucTList * | np = 0 )

inline

Definition at line 62 of file XrdOucTList.hh.

{next=np; text = (tval ? strdup(tval) : 0);
memcpy(ival, iv, sizeof(ival));}

References XrdOucTList(), next, and text.

Here is the call graph for this function:

## XrdOucTList() [4/5]

XrdOucTList::XrdOucTList | ( | const char * | tval,
|  | short | sv[4],
|  | XrdOucTList * | np = 0 )

inline

Definition at line 66 of file XrdOucTList.hh.

{next=np; text = (tval ? strdup(tval) : 0);
memcpy(sval, sv, sizeof(sval));}

References XrdOucTList(), next, and text.

Here is the call graph for this function:

## XrdOucTList() [5/5]

XrdOucTList::XrdOucTList | ( | const char * | tval,
|  | char | cv[8],
|  | XrdOucTList * | np = 0 )

inline

Definition at line 70 of file XrdOucTList.hh.

{text = (tval ? strdup(tval) : 0); next=np;
memcpy(cval, cv, sizeof(cval));}

References XrdOucTList(), next, and text.

Here is the call graph for this function:

## ~XrdOucTList()

XrdOucTList::~XrdOucTList | ( |  | ) |

inline

Definition at line 74 of file XrdOucTList.hh.

{if (text) free(text);}

References text.

## Member Data Documentation

## [union]

union { ... } XrdOucTList

## next

XrdOucTList* XrdOucTList::next

Definition at line 45 of file XrdOucTList.hh.

Referenced by XrdOucNSWalk::XrdOucNSWalk(), XrdOucTList(), XrdOucTList(), XrdOucTList(), XrdOucTList(), XrdOucTList(), XrdSsiCms::XrdSsiCms(), BL_Grip::~BL_Grip(), XrdCksConfig::~XrdCksConfig(), XrdCmsClientConfig::~XrdCmsClientConfig(), XrdCmsFinderRMT::~XrdCmsFinderRMT(), XrdCmsFinderTRG::~XrdCmsFinderTRG(), XrdOucGatherConf::~XrdOucGatherConf(), XrdOucNSWalk::~XrdOucNSWalk(), XrdOucPsx::~XrdOucPsx(), XrdOucTListHelper::~XrdOucTListHelper(), BL_Grip::Array(), XrdOucTListFIFO::Clear(), XrdCksConfig::Configure(), XrdCmsClientConfig::Configure(), XrdXrootdProtocol::Configure(), BL_Grip::Count(), XrdFrmMigrate::Display(), XrdFrmPurge::Display(), XrdFrmXfrQueue::Done(), XrdOucGatherConf::Gather(), XrdNetIF::GetIF(), XrdCmsManList::getRef(), BL_Grip::Include(), XrdOucNSWalk::Index(), XrdFrmPurge::Init(), XrdXrootdPrepare::Log(), XrdCksConfig::ParseLib(), XrdCmsUtils::ParseMan(), XrdCmsFinderRMT::Prepare(), XrdOfs::prepare(), XrdCmsBlackList::Present(), XrdCmsAdmin::RelayAREvent(), XrdCmsManager::Rerun(), XrdCms::MidNightTask::Ring(), XrdOfsTPC::Screen(), XrdPosixConfig::SetConfig(), XrdCmsSecurity::setSystemID(), XrdNetUtils::Singleton(), XrdCmsUtils::SiteName(), XrdFrmConfig::Space(), and XrdCmsManager::Start().

## text

char* XrdOucTList::text

Definition at line 46 of file XrdOucTList.hh.

Referenced by XrdOucNSWalk::XrdOucNSWalk(), XrdOucTList(), XrdOucTList(), XrdOucTList(), XrdOucTList(), XrdOucTList(), XrdSsiCms::XrdSsiCms(), ~XrdOucTList(), XrdCksConfig::Configure(), XrdCmsClientConfig::Configure(), XrdXrootdProtocol::Configure(), XrdFrmMigrate::Display(), XrdFrmPurge::Display(), XrdFrmXfrQueue::Done(), XrdOucGatherConf::Gather(), XrdNetIF::GetIF(), XrdCmsManList::getRef(), BL_Grip::Include(), XrdOucNSWalk::Index(), XrdFrmPurge::Init(), XrdXrootdPrepare::Log(), XrdCksConfig::ParseLib(), XrdCmsUtils::ParseMan(), XrdCmsFinderRMT::Prepare(), XrdOfs::prepare(), XrdCmsBlackList::Present(), XrdCmsAdmin::RelayAREvent(), XrdCmsManager::Rerun(), XrdCms::MidNightTask::Ring(), XrdOfsTPC::Screen(), XrdW41Gate::Serialize(), XrdPosixConfig::SetConfig(), XrdCmsSecurity::setSystemID(), XrdCmsUtils::SiteName(), XrdFrmConfig::Space(), XrdCmsManager::Start(), and XrdW41Gate::Wait41().

The documentation for this class was generated from the following file:

- XrdOucTList.hh